summaryrefslogtreecommitdiff
path: root/patches/binutils/2.20.1/270-better_file_error.patch
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2010-08-17 17:48:49 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2010-08-17 17:48:49 (GMT)
commit3e2f9f3f860aeec80e9b71ff8f2a7f841ea3810a (patch)
tree3fb3ea09fb2914d30e862ac4180e8ac0d4c7bb77 /patches/binutils/2.20.1/270-better_file_error.patch
parentd53f1d71f6c0ef75be48e1082d8d1e8cfc493d9e (diff)
binutils/binutils: forward-port the patchset from 2.20 to 2.20.1
Among other things, this should fix the issue reported by Thomas at: http://sourceware.org/ml/crossgcc/2010-08/msg00115.html Signed-off-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr>
Diffstat (limited to 'patches/binutils/2.20.1/270-better_file_error.patch')
-rw-r--r--patches/binutils/2.20.1/270-better_file_error.patch45
1 files changed, 45 insertions, 0 deletions
diff --git a/patches/binutils/2.20.1/270-better_file_error.patch b/patches/binutils/2.20.1/270-better_file_error.patch
new file mode 100644
index 0000000..f880466
--- /dev/null
+++ b/patches/binutils/2.20.1/270-better_file_error.patch
@@ -0,0 +1,45 @@
+#!/bin/sh -e
+## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Specify which filename is causing an error if the filename is a
+## DP: directory. (#45832)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
+
+diff -durN binutils-2.20.1.orig/bfd/opncls.c binutils-2.20.1/bfd/opncls.c
+--- binutils-2.20.1.orig/bfd/opncls.c 2010-01-14 11:48:22.000000000 +0100
++++ binutils-2.20.1/bfd/opncls.c 2010-08-17 19:32:23.000000000 +0200
+@@ -183,6 +183,13 @@
+ {
+ bfd *nbfd;
+ const bfd_target *target_vec;
++ struct stat s;
++
++ if (stat (filename, &s) == 0)
++ if (S_ISDIR(s.st_mode)) {
++ bfd_set_error (bfd_error_file_not_recognized);
++ return NULL;
++ }
+
+ nbfd = _bfd_new_bfd ();
+ if (nbfd == NULL)